### Property

# Fwupd Device:protocol

deprecated: 1.5.8 since: 1.3.6

#### Declaration

    property protocol: utf8 [ read, write ]

#### Description [src]

The device protocol.

Type: | `gchar*`
Available since: | 1.3.6
Deprecated since: | 1.5.8
Please do not use it in newly written code.

Default value | NULL
Getter method | `fwupd_device_get_protocol()`
Setter method | `fwupd_device_set_protocol()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no